Freeciv-3.3: gui_dialog Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
gui_dialog Struct Reference

`#include <gui_stuff.h>`

## Data Fields

GtkWidget * | vbox
GtkWidget * | action_area
char * | title
enum gui_dialog_type | type
int | id
int | return_dialog_id
int | default_width
int | default_height
union { |
GtkWidget * window |
struct { |
GtkWidget * label |
GtkWidget * notebook |
gulong handler_id |
GtkWidget * child |
} tab |
} | v |
struct gui_dialog ** | source
GUI_DIALOG_RESPONSE_FUN | response_callback
gpointer | user_data
GtkSizeGroup * | gui_button
GtkWidget * | grid
GtkWidget * | actions
bool | vertical_content
int | content_counter
union { |
GtkWidget * window |
struct { |
GtkWidget * label |
GtkWidget * notebook |
gulong handler_id |
GtkWidget * child |
} tab |
} | v |
union { |
GtkWidget * window |
struct { |
GtkWidget * label |
GtkWidget * notebook |
gulong handler_id |
GtkWidget * child |
} tab |
} | v |

## Detailed Description

Definition at line 69 of file gui_stuff.h.

## Field Documentation

## ◆ action_area

GtkWidget* gui_dialog::action_area

Definition at line 73 of file gui_stuff.h.

Referenced by create_city_report_dialog(), gui_dialog_add_widget(), gui_dialog_new(), gui_dialog_pack_button(), gui_dialog_set_default_response(), gui_dialog_set_response_sensitive(), and gui_dialog_show_all().

## ◆ actions

GtkWidget * gui_dialog::actions

Definition at line 72 of file gui_stuff.h.

Referenced by gui_dialog_add_action_widget(), gui_dialog_new(), gui_dialog_set_response_sensitive(), and gui_dialog_show_all().

## ◆ child

GtkWidget* gui_dialog::child

Definition at line 90 of file gui_stuff.h.

Referenced by gui_dialog_delete_tab_handler(), and gui_dialog_new().

## ◆ content_counter

int gui_dialog::content_counter

Definition at line 84 of file gui_stuff.h.

Referenced by gui_dialog_add_content_widget(), and gui_dialog_new().

## ◆ default_height

int gui_dialog::default_height

Definition at line 82 of file gui_stuff.h.

Referenced by gui_dialog_detach(), gui_dialog_new(), and gui_dialog_set_default_size().

## ◆ default_width

int gui_dialog::default_width

Definition at line 81 of file gui_stuff.h.

Referenced by gui_dialog_detach(), gui_dialog_new(), and gui_dialog_set_default_size().

## ◆ grid

GtkWidget * gui_dialog::grid

Definition at line 71 of file gui_stuff.h.

Referenced by create_diplomacy_dialog(), create_spaceship_dialog(), gui_dialog_add_content_widget(), gui_dialog_alert(), gui_dialog_destroy(), gui_dialog_detach(), gui_dialog_get_toplevel(), gui_dialog_new(), gui_dialog_pack_button(), gui_dialog_present(), gui_dialog_raise(), gui_dialog_show_all(), gui_dialog_switch_page_handler(), and popup_find_dialog().

## ◆ gui_button

GtkSizeGroup * gui_dialog::gui_button

Definition at line 99 of file gui_stuff.h.

Referenced by gui_dialog_destroy_handler(), gui_dialog_new(), and gui_dialog_pack_button().

## ◆ handler_id

gulong gui_dialog::handler_id

Definition at line 89 of file gui_stuff.h.

Referenced by gui_dialog_destroy_handler(), gui_dialog_detach(), and gui_dialog_new().

## ◆ id

int gui_dialog::id

Definition at line 78 of file gui_stuff.h.

Referenced by gui_dialog_new().

## ◆ label

GtkWidget* gui_dialog::label

Definition at line 87 of file gui_stuff.h.

Referenced by create_diplomacy_dialog(), gui_dialog_alert(), gui_dialog_new(), gui_dialog_present(), gui_dialog_set_title(), gui_dialog_switch_page_handler(), and popup_notify_dialog().

## ◆ notebook

GtkWidget* gui_dialog::notebook

Definition at line 88 of file gui_stuff.h.

Referenced by create_diplomacy_dialog(), gui_dialog_alert(), gui_dialog_delete_tab_handler(), gui_dialog_destroy(), gui_dialog_destroy_handler(), gui_dialog_detach(), gui_dialog_new(), gui_dialog_present(), gui_dialog_raise(), and gui_dialog_switch_page_handler().

## ◆ response_callback

GUI_DIALOG_RESPONSE_FUN gui_dialog::response_callback

Definition at line 96 of file gui_stuff.h.

Referenced by gui_dialog_new(), gui_dialog_response(), and gui_dialog_response_set_callback().

## ◆ return_dialog_id

int gui_dialog::return_dialog_id

Definition at line 79 of file gui_stuff.h.

Referenced by gui_dialog_destroy_handler(), gui_dialog_new(), and gui_dialog_set_return_dialog().

## ◆ source

struct gui_dialog ** gui_dialog::source

Definition at line 94 of file gui_stuff.h.

Referenced by gui_dialog_destroy_handler(), and gui_dialog_new().

## ◆ [struct] [1/3]

struct { ... } gui_dialog::tab

Referenced by gui_dialog_alert(), gui_dialog_delete_tab_handler(), gui_dialog_destroy(), gui_dialog_destroy_handler(), gui_dialog_detach(), gui_dialog_new(), gui_dialog_present(), gui_dialog_raise(), gui_dialog_set_title(), and gui_dialog_switch_page_handler().

## ◆ [struct] [2/3]

struct { ... } gui_dialog::tab

## ◆ [struct] [3/3]

struct { ... } gui_dialog::tab

## ◆ title

char * gui_dialog::title

Definition at line 76 of file gui_stuff.h.

Referenced by gui_dialog_destroy_handler(), gui_dialog_detach(), gui_dialog_new(), and gui_dialog_set_title().

## ◆ type

enum gui_dialog_type gui_dialog::type

Definition at line 77 of file gui_stuff.h.

Referenced by gui_dialog_alert(), gui_dialog_destroy(), gui_dialog_destroy_handler(), gui_dialog_detach(), gui_dialog_new(), gui_dialog_present(), gui_dialog_raise(), gui_dialog_set_default_size(), gui_dialog_set_title(), and gui_dialog_show_all().

## ◆ user_data

gpointer gui_dialog::user_data

Definition at line 97 of file gui_stuff.h.

Referenced by gui_dialog_new(), and gui_dialog_response().

## ◆ [union] [1/3]

union { ... } gui_dialog::v

Referenced by gui_dialog_alert(), gui_dialog_delete_tab_handler(), gui_dialog_destroy(), gui_dialog_destroy_handler(), gui_dialog_detach(), gui_dialog_new(), gui_dialog_present(), gui_dialog_raise(), gui_dialog_set_default_size(), gui_dialog_set_title(), and gui_dialog_switch_page_handler().

## ◆ [union] [2/3]

union { ... } gui_dialog::v

## ◆ [union] [3/3]

union { ... } gui_dialog::v

## ◆ vbox

GtkWidget* gui_dialog::vbox

Definition at line 72 of file gui_stuff.h.

Referenced by action_widget_activated(), create_city_report_dialog(), create_diplomacy_dialog(), create_messageopt_dialog(), create_players_dialog(), create_spaceship_dialog(), diplomacy_main_create(), gui_dialog_alert(), gui_dialog_destroy(), gui_dialog_detach(), gui_dialog_get_toplevel(), gui_dialog_new(), gui_dialog_pack_button(), gui_dialog_present(), gui_dialog_raise(), gui_dialog_show_all(), gui_dialog_switch_page_handler(), luaconsole_dialog_create(), meswin_dialog_init(), popup_find_dialog(), and popup_notify_dialog().

## ◆ vertical_content

bool gui_dialog::vertical_content

Definition at line 83 of file gui_stuff.h.

Referenced by gui_dialog_add_content_widget(), and gui_dialog_new().

## ◆ window

GtkWidget* gui_dialog::window

Definition at line 85 of file gui_stuff.h.

Referenced by gui_dialog_destroy(), gui_dialog_detach(), gui_dialog_new(), gui_dialog_present(), gui_dialog_raise(), gui_dialog_set_default_size(), and gui_dialog_set_title().